Get Account Trade List by clientOrderId (weight=1)

Query account history and transaction records by clientOrderId. Support 30-day data.

  • If there is only fromId, It will return trades with IDs bigger than fromId, sorted in descending order.
  • If there is only toId. It will return trades with IDs less than toId, sorted in descending order
  • If both fromId and toId are provided. It will return trades between fromId and toId, sorted in descending order
  • If neither fromId or toId is provided, it will return the latest trade records, sorted in descending order.

Weight: 5

Request Parameters


PARAMETERTYPEReq'dDESCRIPTION
symbolSTRINGTrading pair
startTimeLONGStart Timestamp
endTimeLONGEnd Timestamp. Only supports the last 30 days timeframe
clientOrderIdSTRINGClient Order ID
fromIdLONGStarting ID
toIdLONGEnd ID
limitINTLimit of record. Default 500, max 500
accountIdLONGAccount ID
timestampLONGYTimestamp

Response Content


PARAMETERTYPEExample valuesDESCRIPTION

Object ArrayCheck transaction results
idSTRING1470930841345474561Unique transaction ID (This value is the trade_id in v0 API)
clientOrderIdSTRING999999999800021An ID defined by the client for the order, it will be automatically generated if it is not sent in the request
ticketIdSTRING1478144171272585249Execution ID, the execution ID is the same for the direction of a single trade.
symbolSTRINGBTCUSDTrading pair
symbolNameSTRINGBTCUSDTrading pair name
orderIdSTRING1470930841211329280Order ID
matchOrderIdSTRING1470930605684362240//Ignore
priceSTRING (decimal)29851.03Price
qtySTRING (decimal)0.0005Quantity
commissionSTRING (decimal)0.02985103Commission fee
commissionAssetSTRINGUSDCurrency of commission fee
timeSTRING (decimal)1690084620567Millisecond Timestamp
trade time (traded but not yet settled) 撮合成交时间
isBuyerBOOLEANfalseWhether the trade is a buyer
isMakerBOOLEANfalseWhether the trade is a maker
feeObjectFee information
fee.feeCoinIdSTRINGUSDFee currency
fee.feeCoinNameSTRINGUSDFee currency name
fee.feeSTRING (decimal)0.02985103Transaction fee amount after HSK deduction
fee.originFeeSTRING (decimal)0.03085103The commission fee before HSK deduction.
fee.originCoinIdSTRINGUSDThe commission fee before HSK deduction
fee.originCoinNameSTRINGUSDThe commission fee coin
feeCoinIdSTRINGUSDFee currency
feeAmountSTRING (decimal)0.02985103Amount of transaction fee
feeSupplementaryAmountSTRING0.00000634Supplementary commission fee to meet minimum commission fee requirement
makerRebateSTRING0Return
accountIdSTRING1545583349011201280Account ID
hskDeductBOOLEANtruetrue: successfully deducted HSK false
hskDeductPriceString0.001commission Coin price / HSK price
Query Params
string
Defaults to 99999999980088

Client Order Id

int64

from id

int64

end id

int32

Number of items displayed per page

int64
required
Defaults to 1707495043379

Millisecond timestamp

string
required
Defaults to 10b108a6cf8162d70bb644a2a8403cd36bcf92468289f3514582182e20f87813

Signature

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json